Subject: Re: bug#36942: Reconfigure broke GRUB

From: [email-masked] (Jakob L. Kreuze)
Date: Fri, 16 Aug 2019 10:36:51 -0400

ison <[email-masked]> writes:

> Sorry it took me so long to reply, I didn't have access to the broken
> machine until now.

No worries :)

> As you requested here is the partitions as listed by parted:
>
> Number  Start   End     Size    File system     Name    Flags
>  1      1049kB  3046kB  2097kB                  grub    bios_grub
>  2      3146kB  540MB   537MB   fat32           efi     boot, esp
>  3      540MB   2588MB  2048MB  linux-swap(v1)  swap
>  4      2588MB  750GB   748GB   ext4            guixsd

Hm. Nearly the same as what I had, though my partitions had different
sizes and I didn't have a swap partition. I may try again with this
exact setup when I get back to the United States just to see what
happens.

> /boot/efi looks ok as far as I can tell at least. It's tree is:
> /boot/efi/
> └── EFI
>     ├── grub
>     │   └── grubx64.efi
>     ├── Guix
>     │   └── grubx64.efi
>     └── GuixSD
>         └── grubx64.efi
> All 3 grubx64.efi files differ from each other and are around 120kb.

Interesting... I only have '/boot/efi/EFI/Guix'. Do you have a
'/boot/grub'?

> But considering you can't reproduce the issue would it be a good
> idea for me to reinstall and see if I can even reproduce it?
> Although I think this time I would leave off the bios_grub partition
> I'm willing to keep testing the current bug if it's important or
> indicative of a more serious problem. But please don't feel
> obligated to keep working on this just for me, I'm perfectly fine
> just reinstalling. The issue doesn't seem to affect my desktop
> anyway, I was able to upgrade it smoothly.
>
> It's always possible the issue was caused by some strange
> combination involving the patched bug, from earlier in the
> discussion, and my weird partition layout. Might not even be worth
> investigating unless it happens to someone else
> (or me again after a fresh install).

I think it may be indicative of a more serious problem, since you
mentioned that this was fine up until the commit refactoring 'guix
system reconfigure'. If you're willing to reinstall and see if you can
reproduce it, that maywould be helpful -- you could send me the relevant
'install-bootloader.scm' store item if it breaks again.

Thank you very much, ison. I appreciate your cooperation here greatly.

Regards,
Jakob